Bug 1020060 - Packages in default live image pulling in kernel-modules-extra
Packages in default live image pulling in kernel-modules-extra
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
20
All All
unspecified Severity low
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 19:14 EDT by Adam Williamson
Modified: 2015-06-29 08:39 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:39:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-10-16 19:14:45 EDT
After a default live install from a test live image I just created, I have kernel-modules-extra installed. Trying to remove it shows the following deps:

gfs2-utils and xl2tpd both require kernel-modules-extra
NetworkManager-l2tp requires x2ltpd
Nothing requires gfs2-utils; I guess it and NM-l2tp are in comps/kickstart

It seems like the point of splitting out kernel-modules-extra is rather lessened if it's just going to get dragged into basic images like the desktop live. Not sure if this is really considered a bug, but thought it worth reporting.
Comment 1 Josh Boyer 2013-10-16 20:02:24 EDT
I don't disagree with your assessment, but the kernel isn't requiring kernel-modules-extra to be installed.  There's nothing we can change in the kernel package itself as far as I'm aware, unless we remove the package entirely.  That's going to run contrary to future changes I'm thinking about for more suitable packaging in cloud images (or tiny images).  Also, I believe it saves time on ARM builds by them simply not building anything contained in there.  So I don't think we can just get rid of it.

Let's move it to the distribution component.
Comment 2 Adam Williamson 2013-10-16 20:05:30 EDT
I should probably have mentioned in the original comment - yeah, picking a component was hard, I went with kernel just as this is where it's 'centralized' and you'd probably be interested. I did CC the maintainers of each involved package. 'distribution' is also fine.
Comment 3 Steve Whitehouse 2013-10-17 06:23:22 EDT
We are only disabling kernel-modules-extra as a dep from gfs2-utils in certain arm builds and not all of them, to the best of my knowledge. We added the dep from gfs2-utils for backwards compatibility since otherwise there would be confusion with people not realising where the kernel modules for gfs2 had gone. In fact that started out with someone reporting that gfs2 was no longer being built in fedora as they didn't know about the kernel-modules-extra package.
Comment 6 Fedora End Of Life 2015-05-29 05:35:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:39:09 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.